Account

The account resource.

Basehttps://rest.carbon.ms/account
GET/account

List accounts

Retrieve a paginated list of accounts. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/account
curl --request GET \
  --url 'https://rest.carbon.ms/account?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "name": "Example",
    "incomeBalance": "string",
    "consolidatedRate": "string",
    "active": true,
    "createdBy": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "companyGroupId": "xyz789"
  }
]
GET/account

Retrieve a account

Fetch a single account by filtering on `id`.

Query parameters

idstring

Match on the account's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/account
curl --request GET \
  --url 'https://rest.carbon.ms/account?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "incomeBalance": "string",
  "consolidatedRate": "string",
  "active": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "companyGroupId": "xyz789"
}
POST/account

Create a account

Create a new account.

Body parameters

numberstring
namestringrequired
classglAccountClass
incomeBalanceglIncomeBalancerequired
consolidatedRateglConsolidatedRaterequired
activebooleanrequired
customFieldsobject
tagsarray
companyGroupIdstringrequired

References companyGroup.id

parentIdstring

References account.id

isGroupbooleanrequired
accountTypeaccountType
isSystembooleanrequired
POSThttps://rest.carbon.ms/account
curl --request POST \
  --url https://rest.carbon.ms/account \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example","incomeBalance":"string","consolidatedRate":"string","active":true,"companyGroupId":"xyz789","isGroup":true,"isSystem":true}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "incomeBalance": "string",
  "consolidatedRate": "string",
  "active": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "companyGroupId": "xyz789"
}
PATCH/account

Update a account

Update an existing account, matched on `id`.

Body parameters

numberstring
namestringrequired
classglAccountClass
incomeBalanceglIncomeBalancerequired
consolidatedRateglConsolidatedRaterequired
activebooleanrequired
customFieldsobject
tagsarray
companyGroupIdstringrequired

References companyGroup.id

parentIdstring

References account.id

isGroupbooleanrequired
accountTypeaccountType
isSystembooleanrequired
PATCHhttps://rest.carbon.ms/account
curl --request PATCH \
  --url 'https://rest.carbon.ms/account?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"number":"string"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "incomeBalance": "string",
  "consolidatedRate": "string",
  "active": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "companyGroupId": "xyz789"
}
DELETE/account

Delete a account

Delete a account, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the account to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/account
curl --request DELETE \
  --url 'https://rest.carbon.ms/account?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content